{ pkgs, lib }:
final: prev:

# TODO: Replace with the commented out version below
let
  buildFHSUserEnvBubblewrap = prev.callPackage ../packages/build-support/build-fhs-userenv-bubblewrap {};
  steamPackages = lib.dontRecurseIntoAttrs (prev.callPackage ../packages/games/steam {
    buildFHSUserEnv = buildFHSUserEnvBubblewrap;
  });
in {
  buildFHSUserEnvBubblewrap = buildFHSUserEnvBubblewrap;
  steamPackages = steamPackages;
  steam = steamPackages.steam-fhsenv.override {
    extraPkgs = pkgsx: with pkgsx; [ gamemode ];
  };
}

/*
let
  # NOTE: This is a really messy solution
  buildFHSUserEnvBubblewrap = prev.callPackage ../packages/build-support/build-fhs-userenv-bubblewrap {};
in {
  steamPackages = prev.steamPackages.override {
    buildFHSUserEnv = buildFHSUserEnvBubblewrap;
    # Include gamemode in the FHS
    #extraPkgs = (pkgs: with pkgs; [ gamemode ]);
  };

  steam = lib.overrideDerivation prev.steamPackages.steam-fhsenv (old: {
   specifyHomeDirs = true;
   mountInHome = [
     ".steam"
     ".local/share/Steam"
   ];
   chdirTo = "/home/$USER";
   additionalBlacklist = [ "/mnt" ];
   additionalMounts = [ "/mnt/Storage/Games/SteamLibrary" ];
   #extraEnv = {
   #  DRI_PRIME = "1";
   #};
  });
 #steam = final.steamPackages.steam-fhsenv.override {
 #  extraPkgs = pkgs: with pkgs; [ gamemode ];
 #};
  steam-run = final.steam.run;
  steam-run-native = (final.steam.override {
    nativeOnly = true;
  });
  steamcmd = final.steamPackages.steamcmd;
}
*/
